## org.apache.poi.ss.formula.functions
Class T

    java.lang.Object
      org.apache.poi.ss.formula.functions.Fixed1ArgFunction
          org.apache.poi.ss.formula.functions.T

All Implemented Interfaces:
  Function, Function1Arg

    public final class T

extends Fixed1ArgFunction

Implementation of Excel T() function

If the argument is a text or error value it is returned unmodified. All other argument types cause an empty string result. If the argument is an area, the first (top-left) cell is used (regardless of the coordinates of the evaluating formula cell).

Constructor Summary
`T()`

Method Summary
`ValueEval` `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0)` see `Function.evaluate(ValueEval[], int, int)`

Methods inherited from class org.apache.poi.ss.formula.functions.Fixed1ArgFunction
`evaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### T

    public T()

Method Detail

### evaluate

    public ValueEval evaluate(int srcRowIndex,
                              int srcColumnIndex,
                              ValueEval arg0)

  Description copied from interface: `Function1Arg`
  see `Function.evaluate(ValueEval[], int, int)`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.